Bug 862318 - Incompatibility between libtirpc and glibc's rpcgen
Incompatibility between libtirpc and glibc's rpcgen
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libtirpc (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Steve Dickson
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1040593
  Show dependency treegraph
 
Reported: 2012-10-02 11:43 EDT by W. Michael Petullo
Modified: 2014-01-31 23:06 EST (History)
2 users (show)

See Also:
Fixed In Version: libtirpc-0.2.4-1.0.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1040593 (view as bug list)
Environment:
Last Closed: 2014-01-02 17:00:12 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description W. Michael Petullo 2012-10-02 11:43:46 EDT
Description of problem:
There seems to be an incompatibility between libtirpc and glibc's rpcgen. What glibc calls (in rpc/xdr.h) xdr_quad_t, libtirpc calls (in tirpc/rpc/xdr.h) xdr_int64_t.

Version-Release number of selected component (if applicable):
glibc-2.15-57.fc17
libtirpc-0.2.2-2.1.fc17

How reproducible:
Every time

Steps to Reproduce:
1. Define an XDR RPC interface that uses the hyper type
2. Use rpcgen to generate stub code
3. Compile the code, using -I/usr/include/tirpc and -ltirpc
  
Actual results:
The code will not compile because the stub functions use xdr_quad_t, but tirpc/rpc/xdr.h defines xdr_int64_t. Compiling against rpc/xdr.h but linking against libtirpc succeeds, but the result segfaults at runtime.
Comment 1 Fedora End Of Life 2013-04-03 13:42:30 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 2 Fedora Update System 2013-12-11 10:34:34 EST
libtirpc-0.2.4-0.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/libtirpc-0.2.4-0.fc19
Comment 3 Fedora Update System 2013-12-11 10:36:12 EST
libtirpc-0.2.4-0.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/libtirpc-0.2.4-0.fc20
Comment 4 Fedora Update System 2013-12-11 21:54:26 EST
Package libtirpc-0.2.4-0.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libtirpc-0.2.4-0.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-23209/libtirpc-0.2.4-0.fc19
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2014-01-02 17:00:12 EST
libtirpc-0.2.4-0.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2014-01-23 12:20:02 EST
libtirpc-0.2.4-1.0.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/libtirpc-0.2.4-1.0.fc19
Comment 7 Fedora Update System 2014-01-31 23:06:36 EST
libtirpc-0.2.4-1.0.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.